Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class Task.CombineOutputCollector<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.Task.CombineOutputCollector<K,V>

All Implemented Interfaces:
  OutputCollector<K,V>

Enclosing class:
  Task

    protected static class Task.CombineOutputCollector<K,V>

extends Object
implements OutputCollector<K,V>

OutputCollector for the combiner.

Constructor Summary
`Task.CombineOutputCollector(Counters.Counter outCounter, Progressable progressable, Configuration conf)`

Method Summary
`void` | `collect(K key, V value)` Adds a key/value pair to the output.
`void` | `setWriter(IFile.Writer<K,V> writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task.CombineOutputCollector

    public Task.CombineOutputCollector(Counters.Counter outCounter,
                                       Progressable progressable,
                                       Configuration conf)

Method Detail

### setWriter

    public void setWriter(IFile.Writer<K,V> writer)

### collect

    public void collect(K key,
                        V value)
                 throws IOException

  Description copied from interface: `OutputCollector`
  Adds a key/value pair to the output.

  Specified by:
    `collect` in interface `OutputCollector<K,V>`
  Parameters:
    `key` - the key to collect.
    `value` - to value to collect.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation